Skip to main content
GET
/
device
/
info
Retrieve Device Information
curl --request GET \
  --url https://api.getmelody.io/device/info \
  --header 'Authorization: Bearer <token>'
{
  "firmware_version": "v1.0.0",
  "type": "melody",
  "hardware_revision": "1.0.0",
  "factory_activation_time": 1723251774000,
  "serial_number": "0000000000000001",
  "firmware_status": "up-to-date"
}

Authorizations

Authorization
string
header
required

Device Token for SDK operations. Obtain via: GET /api/haptics/device/device_token Format: {device_id}-{1|2}-{random} Note: ApiToken (from POST /device/otp/confirm) can also be used for most SDK endpoints.

Response

200 - application/json

OK

firmware_version
string
required

The firmware version of the device.

Example:

"1.0.0"

type
string
required

The type of the device.

Example:

"haptics-stroker-2000"

hardware_revision
string
required

The hardware revision of the device.

Example:

"1.0.0"

factory_activation_time
number
required

The factory activation time of the device. Epoch time in milliseconds.

Example:

1723251774000

serial_number
string
required

Device serial number. One-time write access on factory during registration.

Example:

"0000000000000001"

user_activation_time
number

The user activation time of the device. Epoch time in milliseconds.

Example:

1723251774000

firmware_status
enum<string>

Firmware update status.

Available options:
up-to-date,
update-available,
update-required
Example:

"up-to-date"